Package org.opengis.cite.iso19142

# Enum Class FES2.VersionAction

java.lang.Object
java.lang.Enum<FES2.VersionAction>
org.opengis.cite.iso19142.FES2.VersionAction

All Implemented Interfaces:
  `Serializable`, `Comparable<FES2.VersionAction>`, `Constable`

Enclosing class:
  FES2

public static enum FES2.VersionAction extends Enum<FES2.VersionAction>
VersionAction is used to filter the version chain in ResourceId.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `FIRST`
  `LAST`
  `NEXT`
  `PREVIOUS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FES2.VersionAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FES2.VersionAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIRST

    public static final FES2.VersionAction FIRST

  - ### LAST

    public static final FES2.VersionAction LAST

  - ### PREVIOUS

    public static final FES2.VersionAction PREVIOUS

  - ### NEXT

    public static final FES2.VersionAction NEXT

  - ### ALL

    public static final FES2.VersionAction ALL

- ## Method Details

  - ### values

    public static FES2.VersionAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FES2.VersionAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null